Rated 5 out of 5 stars

Theme looks great but will this work on 3.5.3 version ?

This review is for a previous version of the add-on (0.1.0.1). 

Not sure

I used the files from a 3.6b2pre as a base so I'm not sure if there is any incompatible change since 3.5. I will have to install 3.5 and check.